// Action.cpp: implementation of the CAction class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CAction::CAction()
{

}

CAction::~CAction()
{
	m_parameters.clear();
}

bool CAction::set_XML( IXMLDOMNodePtr e )
{
	_variant_t v;
	IXMLDOMNodeListPtr l;
	IXMLDOMElementPtr el;

	//
	// read attributes
	//
	e->attributes->getNamedItem( "name" )->get_nodeValue( &v );

	name = _bstr_t(v);

	//
	// read parameters
	//
	l = e->selectNodes( L"parameters/parameter" );

	l->reset();

	el = l->nextNode(); 

	while ( el )
	{
		CRuleParameter *r = new CRuleParameter;
		r->set_XML ( el );
		m_parameters.push_back( *r );

		delete r;
		el.Release();
		el = l->nextNode(); 
	}

	if ( el )
		el.Release();

	return true;
}