// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__EAFD1869_C0C6_11D4_BEC2_00C0CA122103__INCLUDED_)
#define AFX_STDAFX_H__EAFD1869_C0C6_11D4_BEC2_00C0CA122103__INCLUDED_

#pragma warning (disable : 4786 4503)

// Exclude rarely-used stuff from Windows headers
#define VC_EXTRALEAN

// MFC core and standard components
#include <afxwin.h>
// MFC extensions
#include <afxext.h>
// MFC Automation classes
#include <afxdisp.h>
// MFC Automation classes
#include <afxdtctl.h>

#ifndef _AFX_NO_AFXCMN_SUPPORT
// MFC support for Windows Common Controls
#include <afxcmn.h>
#endif // _AFX_NO_AFXCMN_SUPPORT

#include <afxtempl.h>
// MFC socket extensions
#include <afxsock.h>

///////////////////////////////////////////////////////////////////////////////
// Libraries used
#include "ruleparser.h"

///////////////////////////////////////////////////////////////////////////////
// Standard header files

#include <winnt.h>
#include <math.h>
#include <string.h>
#include <comdef.h>
#include <mmsystem.h>
#include <string>
#include <vector>
#include <queue>
#include <list>
#include <map>
#include <algorithm>
#include <iterator>
#include <iostream>

using namespace std;

///////////////////////////////////////////////////////////////////////////////
// Project version
#include "Version.h"

// Type & values declaration
typedef int Bool;

#include "LargeInt.h"
#include "Types.h"
#include "PerceptionTypes.h"
#include "FormationTypes.h"

// Configuration
#include "Config.h"

// System objects
#include "Timer.h"
#include "SystemClock.h"
#include "TextMessageBuffer.h"
#include "LogManager.h"

// Player objects
#include "GameTime.h"
#include "GameState.h"
#include "Perception.h"
#include "GameCommand.h"
#include "WorldGeometry.h"

#include "VisObject.h"
#include "VisStaticField.h"
#include "VisPerception.h"

#include "ServerMsg.h"
#include "ServerConnection.h"
#include "ServerMsgTranslator.h"
#include "ServerCommunicator.h"

#include "StaticField.h"

#include "Formations.h"
#include "FormationData.h"
#include "FormationSkills.h"

#include "ConditionQuery.h"
#include "ParameterQuery.h"

#include "Skills.h"
#include "AbstractBasicSkills.h"
#include "TeamSkills.h"
#include "HigherSkills.h"

#include "WorldObjects.h"
#include "SoccerAgent.h"

#include "Coordinator.h"

#include "Player.h"
#include "MainFrm.h"
#include "ChildView.h"
#include "ChildFrm.h"
#include "ChildTextView.h"
#include "ChildTextFrame.h"
#include "VisualSetupDlg.h"

#include "ToDoClasses.h"
#include "ToDoEvent.h"


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__EAFD1869_C0C6_11D4_BEC2_00C0CA122103__INCLUDED_)
